ru.bitel.bgbilling.kernel.bgsecure.common.bean

## Class UserRightRule

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.bgbilling.kernel.bgsecure.common.bean.UserRightRule

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem

      public class UserRightRule
      extends IdTitle

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserRightRule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getModuleId()`
    `int` | `getRightGroupId()`
    `RightType` | `getRightType()`
    `java.lang.String` | `getRule()`
    `boolean` | `isActive()`
    `void` | `setActive(boolean active)`
    `void` | `setModuleId(int moduleId)`
    `void` | `setRightGroupId(int rightGroupId)`
    `void` | `setRightType(RightType rightType)`
    `void` | `setRule(java.lang.String rule)`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Constructor Detail

    - #### UserRightRule

          public UserRightRule()

  - ### Method Detail

    - #### getModuleId

          public int getModuleId()

    - #### setModuleId

          public void setModuleId(int moduleId)

    - #### getRightGroupId

          public int getRightGroupId()

    - #### setRightGroupId

          public void setRightGroupId(int rightGroupId)

    - #### getRule

          public java.lang.String getRule()

    - #### setRule

          public void setRule(java.lang.String rule)

    - #### isActive

          public boolean isActive()

    - #### setActive

          public void setActive(boolean active)

    - #### getRightType

          public RightType getRightType()

    - #### setRightType

          public void setRightType(RightType rightType)